// -*- c++ -*- 
//
// BeMailAccount
// Copyright (c) 2001, Okada Jun
// All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
// 
// 1. Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
// 
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
// 
// 3. The name of author may not be used to endorse or promote products
// derived from this software without specific prior written permission.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
// LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// 


#ifndef BMA_DEFS_H
#define BMA_DEFS_H


#define DESKBAR_APP_SIGNATURE "application/x-vnd.Be-TSKB"
#define EMAIL_PREFS_SIGNATURE "application/x-vnd.Be-mprf"

#define BMA_APP_SIGNATURE "application/x-vnd.Kamnagi-BeMailAccount"
#define BMA_PROPERTY_NAME "BeMailAccount Property"
#define BMA_CONFIG_DIRECTORY "/boot/home/config/settings/Kamnagi/BeMailAccount/"
#define BMA_CONFIG_FILE BMA_CONFIG_DIRECTORY##"property"


enum
{
  BMA_INTERVAL_TILL_MENU_OPENED = 300000,
  BMA_DEFAULT_CHECK_INTERVAL    = 60 * 15,
  BMA_DEFAULT_CHECK_BEGIN_TIME  = 60 * 60 * 9,
  BMA_DEFAULT_CHECK_END_TIME    = 60 * 60 * 17,
};


enum {
  BMA_SET_ACTIVE_ACCOUNT        = 'Bsaa',
  BMA_NEW_ACCOUNT_REQUESTED     = 'Bnar',
  BMA_NEW_ACCOUNT               = 'Bnax',
  BMA_REMOVE_ACCOUNT_REQUESTED  = 'Brar',
  BMA_REMOVE_ACCOUNT            = 'Brax',
  BMA_LAUNCH_EMAIL_PREFS        = 'Blep',
  BMA_CHECK_NOW                 = 'Bcnw',
  BMA_AUTO_CHECK                = 'Batc',
  BMA_SET_CHECK_DAYS            = 'Bscd',
  BMA_SET_CHECK_INTERVAL        = 'Bsci',
  BMA_SET_CHECK_BEGIN_TIME      = 'Bscb',
  BMA_SET_CHECK_END_TIME        = 'Bsce',
  BMA_BEGIN_CHECK               = 'Bbck',
  BMA_END_CHECK                 = 'Beck',
};


#endif
