// -*- c++ -*- 
//
// BeMailAccount
// Copyright (c) 2001, Okada Jun
// All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
// 
// 1. Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
// 
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
// 
// 3. The name of author may not be used to endorse or promote products
// derived from this software without specific prior written permission.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
// LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
// 

#ifndef BMA_ICON_H
#define BMA_ICON_H


#include <BeBuild.h>
#include <Point.h>
#include <View.h>


class BBitmap;
class BMAProperty;
class BMessageRunner;


class _EXPORT BMAIcon : public BView
{
public:
  BMAIcon(void);
  BMAIcon(BMessage *archive);
  virtual ~BMAIcon(void);

  static BArchivable *Instantiate(BMessage *archive);

  virtual status_t Archive(BMessage *archive, bool deep = true) const;
  void Unarchive(BMessage *archive);

  BMAProperty *Property(void) const;

protected:
  virtual void Draw(BRect updateRect);
  virtual void MouseDown(BPoint point);
  virtual void MouseUp(BPoint point);
  virtual void MouseMoved(BPoint point, uint32 transit, const BMessage *msg);
  virtual void MessageReceived(BMessage *msg);

private:
  void ResetMenuTrigger(void);
  void OpenMenu(BPoint point);

  BBitmap *mIcon;
  BMAProperty *mProperty;
  BMessageRunner *mMenuTrigger;
  BPoint mMousePoint;
};


#endif

